<div class="flex flex-col flex-auto w-full" style="background-color:#F8F8F8;">

  <div class="container flex justify-between">
    <div class="flex items-center cursor-pointer" [routerLink]="['/setup-pin']"><mat-icon class="mt-6 mb-6 "
        style="color: #0038FF;">keyboard_arrow_left</mat-icon><span class="mt-6 mb-6 font-Semibold-20"
        style="color: #0038FF;">Back</span></div>
    <div><mat-icon class="mt-6 mb-6 cursor-pointer" style="color: #0038FF;">help_outline</mat-icon></div>
  </div>

  <div class="font-Semibold-40 font-141461 mt-8 mb-8" style="text-align:center !important;">
    <div>Set Up PIN</div>
  </div>

  <div class="flex flex-col items-center sm:justify-center min-w-0">

    <div class="w-full mx-auto mb-10 shadow bg-white" style="width: 491px !important;box-shadow: 0px 0px 6px #0000001A;
            ">
      <div class="w-full px-20 py-12">
        <div class="relative flex flex-col flex-auto items-center justify-center font-Regular-16 font-7B7B7B mb-5">
          Re-enter your PIN</div>
        <ngx-pincode class="mb-6 pincode" [hideChrs]="true" type="number" [size]="6"
          (completed)="pincodeCompleted($event)"></ngx-pincode>
        <!-- Alert -->
        <fuse-alert *ngIf="showAlert" [showIcon]="false" [type]="alert.type" class="justify-center">
          {{alert.message}}
        </fuse-alert>

        <button class="fuse-mat-button-medium w-full mt-7 button-r5" mat-flat-button [color]="'primary'"
          (click)="verifyPin()" [disabled]="!pin">
          <span>Submit</span>
          <mat-progress-spinner *ngIf="" [diameter]="24" [mode]="'indeterminate'"></mat-progress-spinner>
        </button>
      </div>


    </div>
  </div>
</div>